API Reference

Fetch a direct credit

GET/direct_credits/{id_or_reference}

Query Parameters

id_or_referencestring

ID or reference of the direct credit

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/direct_credits/071-DC-5DYN6M21 -u TEST:TEST

Response

200Result
json
{
  "successful": true,
  "response": {
  "id": "071-DC-5DYN6M21",
  "amount": 42,
  "bsb": "123-123",
  "account_number": "012345678",
  "account_name": "Test",
  "description": "Confirmation",
  "reference": "071-DC-5DYN6M21",
  "date": "2017-06-27",
  "process_date": "2017-06-27",
  "status": "Completed",
  "result": "Submitted to institution",
  "metadata": {}
  },
  "errors": [],
  "test": true
}
404Result
json
{
  "successful": false,
  "response": {},
  "errors": [
  "Could not find Direct Entry"
  ],
  "test": true
}